Blackboard Learn requires that your browser conforms to certain standards. If you have an out of date or unsupported web browser you will need to download either a compatible version of your current browser or download and install a compatible browser before attempting to log into Blackboard Learn. If you need assistance determining if you are using a compatible web browser, click the appropriate operating system logo below.

recommended versions recommended versions
Browser: Firefox (Final Release Channel)
Internet Explorer 10
Chrome (Stable Release Channel)
Browser: Firefox (Final Release Channel)
Safari 5
Chrome (Stable Release Channel)